Bug 221654 - Computing retained size blocks any other action in the IDE
Computing retained size blocks any other action in the IDE
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
7.2
All All
: P3 (vote)
: 7.3
Assigned To: Tomas Hurka
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-07 14:59 UTC by Jaroslav Tulach
Modified: 2013-07-04 07:23 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2012-11-07 14:59:57 UTC
When one asks for computation of retained size, the profiler shows modal dialog. While I can understand you don't want the user operate with the heap snapshot, showing a global modal dialog prevents me to do any other action with the IDE like working on other bug meanwhile.

Given the fact that computing retained size may take minutes and the dialog cannot be closed, I consider it as an important UI responsiveness blocker.
Comment 1 Jaroslav Tulach 2012-11-07 15:06:13 UTC
Btw. "show nearest GC root" also shows modal UI dialog, but at least it does not take that long to compute.
Comment 2 Tomas Hurka 2012-11-20 16:31:04 UTC
Fixed in profiler-main

changeset:   239496:cffec82762ee
user:        Tomas Hurka <thurka@netbeans.org>
date:        Tue Nov 20 17:27:53 2012 +0100
summary:     bugfix #221654, get rid of modal dialogs in computing GC roots and retained sizes
Comment 3 Quality Engineering 2012-11-23 02:40:08 UTC
Integrated into 'main-golden', will be available in build *201211230002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/cffec82762ee
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #221654, get rid of modal dialogs in computing GC roots and retained sizes


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo